%define version 0.2.1
%define release 1
%define name smeserver-fusioninventory-agent


Summary: FusionInventory-Agent integration on SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: fusioninventory-agent

%description
Configure FusdionInventory daemon on SME Server

%changelog
* Thu Jun 6 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.1-1.sme
- Enable the agent on a default installation

* Fri Jun 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.0-1sme
- Import in GIT
- Use debug loglevel

* Mon Dec 19 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-2.sme
- disable deploy and ocsdeply in the default config

* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/var/log/inventory
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /var/service/fusioninventory-agent/run 'attr(0755,root,root)' \
   --file /var/service/fusioninventory-agent/log/run 'attr(0755,root,root)' \
   --dir /var/log/inventory 'attr(0750,smelog,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

